propellor-5.17: property-based host configuration management in haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Propellor.Types.Docker

# Documentation

data DockerInfo Source #

Constructors

DockerInfo |

Fields

- _dockerRunParams :: [DockerRunParam]
- _dockerContainers :: Map String Host

#### Instances

Instances details

Monoid DockerInfo Source # |
Instance details Defined in Propellor.Types.Docker Methods mempty :: DockerInfo # mappend :: DockerInfo -> DockerInfo -> DockerInfo # mconcat :: [DockerInfo] -> DockerInfo #
Semigroup DockerInfo Source # |
Instance details Defined in Propellor.Types.Docker Methods (<>) :: DockerInfo -> DockerInfo -> DockerInfo # sconcat :: NonEmpty DockerInfo -> DockerInfo stimes :: Integral b => b -> DockerInfo -> DockerInfo
Show DockerInfo Source # |
Instance details Defined in Propellor.Types.Docker Methods showsPrec :: Int -> DockerInfo -> ShowS show :: DockerInfo -> String showList :: [DockerInfo] -> ShowS
Empty DockerInfo Source # |
Instance details Defined in Propellor.Types.Docker Methods isEmpty :: DockerInfo -> Bool Source #
IsInfo DockerInfo Source # |
Instance details Defined in Propellor.Types.Docker Methods propagateInfo :: DockerInfo -> PropagateInfo Source #

newtype DockerRunParam Source #

Constructors

DockerRunParam (HostName -> String) |

#### Instances

Instances details

Show DockerRunParam Source # |
Instance details Defined in Propellor.Types.Docker Methods showsPrec :: Int -> DockerRunParam -> ShowS show :: DockerRunParam -> String showList :: [DockerRunParam] -> ShowS